# ========================================================
# Simple polygon class that uses a list to store vertices.
# 
# Modified by: Mark Austin                   October, 2020 
# ========================================================

class Polygon():
    def __init__(self, points):
        self.points = points

    def __len__(self):
        return len(self.points)

    # compute perimeter of polygon ...

    def get_perimeter(self):
        perimeter = 0
        for i in range(0, len(self.points)-1):
            pt1 = self.points[i]
            pt2 = self.points[i+1]
            perimeter += pt1.distance(pt2)

        pt1 = self.points[0]
        pt2 = self.points[ len(self.points)-1 ]
        perimeter += pt1.distance(pt2)

        return perimeter
