# ===============================================================
# TestVectorOperations.py: 
# 
# ===============================================================

from numpy import array
from numpy.linalg import norm

# main method ...

def main():
    print("--- Enter TestVectorOperations.main()     ... ");
    print("--- ======================================== ... ");

    # Define and print two vectors ...

    print("--- ");
    print("--- Part 01: Define working vectors ...");
    print("--- ");

    a = array([1, 2, 3])
    b = array([4, 5, 6])

    print(a)
    print(b)

    # add vectors

    print("--- ");
    print("--- Part 02: Add vectors ...");
    print("--- ");

    c = a + b
    print(c)

    # Calculate L2 norm

    print("--- ");
    print("--- Part 03: Compute L2 norm of vector a ...");
    print("--- ");

    l2 = norm(a, 2)
    print(l2)

    # Compute dot product ...

    print("--- ");
    print("--- Part 04: Compute dot product a.b ...");
    print("--- ");

    c = a.dot(b)
    print(c)

    print("--- ======================================== ... ");
    print("--- Leave TestVectorOperations.main()        ... ");

# call the main method ...

main()
